import { User } from "lucide-react";

import LocaleSwitcher from "@/components/common/language-switcher";
import { Link } from "@/i18n/routing";

import { SocialIcons } from "../../shared/social-icons";

export default function TopBar2({ locale }: { locale: "ar" | "en" }) {


	return (
		<div className="flex w-full flex-col items-center justify-between bg-[#29ABE2] px-4 py-2 text-white sm:flex-row lg:px-24">
			<div className="mb-1 flex items-center gap-4 text-sm lg:mb-0">
				<LocaleSwitcher />
				<div className="h-4 w-px bg-white" aria-hidden="true" />

				<Link
					href="/login"
					className="transition-colors hover:text-white/80"
				>
					{locale === "ar" ? "  تسجيل دخول " : " Sign in"}
				</Link>
				<div className="h-4 w-px bg-white" aria-hidden="true" />
				<Link
					href="/register"
					className="flex items-center gap-1.5 transition-colors hover:text-white/80"
				>
					<span> {locale === "ar" ? "  تسجيل حساب" : " Sign up"}</span>
					<User className="size-4" />
				</Link>
			</div>
			<SocialIcons />
		</div>
	);
}
